跳转到主要内容
监控与采集相关接口/性能剖析
GETProfiling起始版本 1.0同步需要认证

获取基线

获取单个性能基线记录标识符。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • baselineIdString必填

    基线ID。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • baselineIdString

    唯一标识符基线记录。

    示例: bl-20240101

  • baselineLabelString

    人类可读标签标识基线。

    示例: v1.2.0-release

  • profileTypeString

    基线捕获。

    示例: cpu

  • sessionIdString

    会话ID。

    示例: sess-abc123

  • descriptionString

    资源的详细描述。

    示例: Post-deploy baseline for v1.2.0

  • topFunctionsList

    热点函数。

    示例: (nested array)

    • funcNameString

      完全限定函数名称包含软件包路径。

      示例: runtime.gcBgMarkWorker

    • packageString

      GO软件包包含函数。

      示例: runtime

    • selfPctLong

      自身百分比。

      示例: 12.5

    • cumulativePctLong

      累计百分比。

      示例: 18.3

    • sampleCountString

      样例数量。

      示例: 4200

  • createdAtString

    创建时间。

    示例: 2026-01-15T08:00:00Z

  • isLatestBoolean

    是否最新。

    示例: true

  • tagsList

    用户定义标签分类基线。

    示例: item1,item2

请求地址

GET/api/v1/profiling/baselines/{baselineId}

/api/v1/profiling/baselines/{baselineId}

操作 ID

GetBaseline

永久链接

请求示例

curl -X GET '{host}/api/v1/profiling/baselines/{baselineId}' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "baselineId": "bl-20240101",
  "baselineLabel": "v1.2.0-release",
  "profileType": "cpu",
  "sessionId": "sess-abc123",
  "description": "Post-deploy baseline for v1.2.0",
  "topFunctions": [
    {}
  ],
  "createdAt": "example",
  "isLatest": true
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史